Name:           mpd
Version:        0.17.5
Release:        9%{?dist}
Summary:        Music Player Daemon (MPD)

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://www.musicpd.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:		http://www.musicpd.org/download/mpd/stable/%{name}-%{version}.tar.xz
Source1:		mpd-tmpfiles.conf
Source2:        mpd.conf
Source3:        mpd.init

Patch1:         mpd-0.17.4-cp932.patch

BuildRequires:	glib2-devel libtool-ltdl-devel
%if 0%{?fedora} >= 17
BuildRequires:	systemd-devel
%endif

%if 0%{?rhel} == 5
BuildRequires:	tcp_wrappers
%else
BuildRequires:	tcp_wrappers-devel
BuildRequires:	yajl-devel
BuildRequires:	libshout-devel
%endif

BuildRequires:	libid3tag-devel
BuildRequires:	sqlite-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	curl-devel
BuildRequires:	libsoup-devel
BuildRequires:	libcdio-devel
%if 0%{?fedora} >= 19
BuildRequires:	libcdio-paranoia-devel
%endif
BuildRequires:	bzip2-devel
BuildRequires:	zziplib-devel
BuildRequires:	audiofile-devel
BuildRequires:	flac-devel
BuildRequires:	libmodplug-devel
BuildRequires:	libsndfile-devel
BuildRequires:	wavpack-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libao-devel
BuildRequires:	pulseaudio-libs-devel
BuildRequires:	doxygen xmlto
BuildRequires:	avahi-glib-devel

%if 0%{?fedora}
BuildRequires:	wildmidi-devel
BuildRequires:	game-music-emu-devel
BuildRequires:	libffado-devel
%endif

### Custom rpms
BuildRequires:	faad2-devel
BuildRequires:	faac-devel
#BuildRequires:	ffmpeg-devel
BuildRequires:	libmad
BuildRequires:	mpg123-devel
BuildRequires:	lame-devel
BuildRequires:	sidplay-libs-devel
BuildRequires:	twolame-devel
BuildRequires:	libmpcdec-devel

%if 0%{?fedora}
BuildRequires:	roaraudio-devel
%endif

%description
A daemon for playing music of various formats.  Music is played through the
server's audio device.  The daemon stores info about all available music,
and this info can be easily searched and retrieved.  Player control, info
retrieval, and playlist management can all be managed remotely.

%package doc
Summary:	Documentation for mpd.
Group:		Documentation
BuildArch:	noarch

%description doc
Documentation for mpd.

%prep
%setup -q
%patch1 -p1 -b .cp932

%{__cp} /usr/share/libtool/libltdl/aclocal.m4 .
./autogen.sh

%build
%configure \
	--enable-alsa \
	--enable-ao \
	--enable-audiofile \
	--enable-bzip2 \
	--enable-cdio-paranoia \
	--enable-curl \
	--enable-soup \
	--enable-documentation \
	--enable-flac \
	--enable-fluidsynth \
	--enable-httpd-output \
	--enable-id3 \
	--enable-iso9660 \
	--enable-jack \
	--enable-lastfm \
	--enable-soundcloud \
	--enable-lame-encoder \
	--enable-libwrap \
	--enable-lsr \
	--enable-mad \
	--enable-mikmod \
	--enable-modplug \
	--enable-mvp \
	--enable-openal \
	--enable-pipe-output \
	--enable-pulse \
	--enable-recorder-output \
%if 0%{?fedora} <= 18
	--enable-sidplay \
%endif
%if 0%{?fedora} || 0%{?rhel} >= 6
	--enable-shout \
%endif
	--enable-sndfile \
	--enable-sqlite \
%if 0%{?fedora} >= 17
	--enable-systemd-daemon \
	--with-systemdsystemunitdir=%{_unitdir} \
%endif
	--enable-twolame-encoder \
	--enable-vorbis \
	--enable-vorbis-encoder \
	--enable-wave-encoder \
	--enable-wavpack \
%if 0%{?fedora}
	--enable-wildmidi \
	--enable-gme \
	--enable-roar \
	--enable-ffado \
%endif
	--enable-zzip \
	--enable-mpg123

#	--enable-ffmpeg \

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT docdir=%{_docdir}/%{name}-%{version}
install -d -m755 $RPM_BUILD_ROOT%{_bindir}
install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}
install -d -m755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%if 0%{?fedora} >= 17
install -d -m755 $RPM_BUILD_ROOT%{_unitdir}
install -D -m644 mpd.service $RPM_BUILD_ROOT%{_unitdir}/mpd.service
%else
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -D -m0755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/mpd
%endif
install -d -m755 $RPM_BUILD_ROOT%{_mandir}/man{1,5}
install -d -m755 $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
install -d -m755 $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}
install -d -m755 $RPM_BUILD_ROOT%{_localstatedir}/run/mpd

install -D -m755 src/mpd $RPM_BUILD_ROOT%{_bindir}/mpd
install -D -m644 doc/mpd.1 $RPM_BUILD_ROOT%{_mandir}/man1/mpd.1
install -D -m644 doc/mpd.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5/mpd.conf.5
touch $RPM_BUILD_ROOT%{_localstatedir}/lib/mpd/mpd.state

install -d -m777 $RPM_BUILD_ROOT%{_localstatedir}/run/mpd
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/tmpfiles.d/mpd.conf

### mpd.conf
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/mpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/systemctl daemon-reload &>/dev/null || :

if [ $1 -eq 2 ]
then
/usr/bin/systemctl stop mpd.service &>/dev/null || :
fi

/usr/bin/systemctl start mpd.service &>/dev/null || :

%preun
/usr/bin/systemctl stop mpd.service &>/dev/null || :
/usr/bin/systemctl daemon-reload &>/dev/null || :

%postun
/usr/bin/systemctl restart mpd.service &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL NEWS README UPGRADING
%{_bindir}/mpd
%config(noreplace) %{_sysconfdir}/mpd.conf
%{_sysconfdir}/tmpfiles.d/mpd.conf
%if 0%{?fedora} >= 17
%{_unitdir}/mpd.service
%else
%{_sysconfdir}/rc.d/init.d/mpd
%endif
%{_mandir}/man1/mpd.1*
%{_mandir}/man5/mpd.conf.5*
%dir %{_localstatedir}/log/%{name}
%dir %{_localstatedir}/lib/%{name}
%{_localstatedir}/lib/%{name}/mpd.state

%files doc
%doc doc/api/
%doc doc/developer/
%doc doc/protocol/
%doc doc/user/

%changelog
* Fri Aug  9 2013 momo-i <webmaster@momo-i.org> - 0.17.5-9
- Update to 0.17.5
- cannot compile with ffmpeg 2.0

* Wed Jul 31 2013 root - 0.17.4-9
- rebuilt

* Wed Jul 17 2013 momo-i <webmaster@momo-i.org> 0.17.4-8
- For ffmpeg 2.0

* Mon Jul  8 2013 momo-i <webmaster@momo-i.org> 0.17.4-7
- Delete sidplay on fedora19...

* Mon Jul  8 2013 momo-i <webmaster@momo-i.org> 0.17.4-6
- Update for fedora19

* Thu Jun 27 2013 momo-i <webmaster@momo-i.org> 0.17.4-4
- Update tmpfiles.d/mpd.conf
- Create /var/lib/mpd... /var/log/mpd...

* Wed Jun 26 2013 momo-i <webmaster@momo-i.org> 0.17.4-1
- Initial rpm release.
